all: compile

compile:
	./rebar compile

clean:
	./rebar clean
	-rmdir ebin

veryclean: clean
	rm -rf rel
	rm -f erl_crash.dump

run: compile
	erl -pa ebin \
		-boot start_sasl \
		-run hop_demo start 5671
